Routestripe API
MainKnowledge BaseSupport CentreAPI Reference
MainKnowledge BaseSupport CentreAPI Reference
  1. Visits
  • Introduction
    • What Is RouteStripe
    • Quick Start Guide
    • API Parameters
  • Default module
    • Get optimized locations
      POST
  • Management API
    • Visits
      • Store Visit
        POST
      • Update Visit by field
        POST
      • Get Visit
        GET
      • Get Visits
        GET
      • Delete Visit
        DELETE
    • Attachments
      • Store Attachment
      • Get Attachments
      • Get Attachment Image
      • Delete Attachment
    • Warehouses
      • Store Warehouse
      • Update Warehouse by field
      • Get Warehouse
      • Get Warehouses
      • Delete Warehouse
    • Vehicles
      • Store Vehicle
      • Update Vehicle by field
      • Get Vehicle
      • Get Vehicles
      • Delete Vehicle
    • Members
      • Store Member
      • Update Member by field
      • Get Member
      • Get Members
      • Delete Member
    • Plans
      • Store Plan
      • Update Plan by field
      • Get Plan
      • Get Plans.
      • Delete Plan
    • Routes
      • Store Route
      • Update Route by field
      • Get Route
      • Get Routes
      • Delete Route
    • Companies
      • Get Company
      • Update Company by field
    • Countries
      • Get Countries
  • Webhooks
    • Webhooks & Real-time Updates
  1. Visits

Get Visits

GET
https://api.routestripe.com/routing-visit/list
Visits
Get Visits,
One of next options:
by plan_id
by route_id
by route_ids and optional filter by status
by company_id and service_date and optional filter by status

Request

Authorization
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Query Params

Responses

🟢200OK
application/json
List of visits.
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.routestripe.com/routing-visit/list?plan_id=undefined&route_id=undefined&company_id=undefined&service_date=2025-09-17&status=1&route_ids=1&route_ids=2' \
--header 'api-key: <api-key>'
Response Response Example
200 - Example 1
{
    "status": "success",
    "data": {
        "property1": {
            "id": 0,
            "updated_at": "2019-08-24T14:15:22.123Z",
            "created_at": "2019-08-24T14:15:22.123Z",
            "external_id": null,
            "company_id": 0,
            "name": "Visit 1",
            "address": "",
            "type": "D",
            "lat": 50.043529,
            "lng": 30.516586,
            "start_time": "",
            "end_time": "",
            "service_time": 5,
            "status": 1,
            "route_id": 0,
            "plan_id": 142,
            "warehouse_id": 110,
            "payment_status": 0,
            "completed_at": "string",
            "recipient_name": "Jack V",
            "recipient_phone": "",
            "recipient_note": "",
            "delivery_note": "",
            "confirmation_template_id": 0,
            "confirmation_type": "",
            "signature_name": "Jack V",
            "fail_reason_id": 0,
            "package_capacity": 1.1,
            "package_load": 2.2,
            "package_quantity": 1,
            "arrival_time": "14:15:22.123Z",
            "polyline": "ayupHqkqxBHp@f@?P???@f@@RDxB@l@?T@N@`@@d@??RB~@J??AHYzB]lCRD????",
            "distance": 0,
            "travel_duration": 0,
            "waiting_time": 0,
            "position": 0,
            "label_position": 0
        }
    }
}
Modified at 2026-03-31 14:06:12
Previous
Get Visit
Next
Delete Visit
Built with